
import type { DefineComponent, SlotsType } from 'vue'
type IslandComponent<T extends DefineComponent> = T & DefineComponent<{}, {refresh: () => Promise<void>}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, SlotsType<{ fallback: { error: unknown } }>>
interface _GlobalComponents {
      'DetailHotNews': typeof import("../components/detail/HotNews.vue")['default']
    'DetailHotNews2': typeof import("../components/detail/HotNews2.vue")['default']
    'HomeBigSwiper': typeof import("../components/home/BigSwiper.vue")['default']
    'HomeBigTitleList': typeof import("../components/home/BigTitle_List.vue")['default']
    'HomeInternetMessage': typeof import("../components/home/InternetMessage.vue")['default']
    'HomePageMessage': typeof import("../components/home/PageMessage.vue")['default']
    'HomeFoot': typeof import("../components/home/foot.vue")['default']
    'HomeFoot1': typeof import("../components/home/foot1.vue")['default']
    'HomeHundredWebSite': typeof import("../components/home/hundredWebSite.vue")['default']
    'HomeOfficialWebsiteNav': typeof import("../components/home/officialWebsiteNav.vue")['default']
    'HomePageHead': typeof import("../components/home/pageHead.vue")['default']
    'HomePageNavigation': typeof import("../components/home/pageNavigation.vue")['default']
    'HomeWebsiteInfo': typeof import("../components/home/websiteInfo.vue")['default']
    'NewsDetail': typeof import("../components/news/detail.vue")['default']
    'NewsList': typeof import("../components/news/list.vue")['default']
    'PageNavigation': typeof import("../components/pageNavigation.vue")['default']
    'NuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'NuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'NuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'ClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'DevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'ServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'NuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'NuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'NuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'NuxtImg': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
    'NuxtPicture': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
    'NuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'NoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'Link': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'Base': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'Title': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'Meta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'Style': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'Head': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'Html': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'Body': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'NuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'NuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
      'LazyDetailHotNews': typeof import("../components/detail/HotNews.vue")['default']
    'LazyDetailHotNews2': typeof import("../components/detail/HotNews2.vue")['default']
    'LazyHomeBigSwiper': typeof import("../components/home/BigSwiper.vue")['default']
    'LazyHomeBigTitleList': typeof import("../components/home/BigTitle_List.vue")['default']
    'LazyHomeInternetMessage': typeof import("../components/home/InternetMessage.vue")['default']
    'LazyHomePageMessage': typeof import("../components/home/PageMessage.vue")['default']
    'LazyHomeFoot': typeof import("../components/home/foot.vue")['default']
    'LazyHomeFoot1': typeof import("../components/home/foot1.vue")['default']
    'LazyHomeHundredWebSite': typeof import("../components/home/hundredWebSite.vue")['default']
    'LazyHomeOfficialWebsiteNav': typeof import("../components/home/officialWebsiteNav.vue")['default']
    'LazyHomePageHead': typeof import("../components/home/pageHead.vue")['default']
    'LazyHomePageNavigation': typeof import("../components/home/pageNavigation.vue")['default']
    'LazyHomeWebsiteInfo': typeof import("../components/home/websiteInfo.vue")['default']
    'LazyNewsDetail': typeof import("../components/news/detail.vue")['default']
    'LazyNewsList': typeof import("../components/news/list.vue")['default']
    'LazyPageNavigation': typeof import("../components/pageNavigation.vue")['default']
    'LazyNuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'LazyNuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'LazyNuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'LazyClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'LazyDevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'LazyServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'LazyNuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'LazyNuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'LazyNuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'LazyNuxtImg': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
    'LazyNuxtPicture': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
    'LazyNuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'LazyNoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'LazyLink': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'LazyBase': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'LazyTitle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'LazyMeta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'LazyStyle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'LazyHead': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'LazyHtml': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'LazyBody': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'LazyNuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'LazyNuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
}

declare module 'vue' {
  export interface GlobalComponents extends _GlobalComponents { }
}

export const DetailHotNews: typeof import("../components/detail/HotNews.vue")['default']
export const DetailHotNews2: typeof import("../components/detail/HotNews2.vue")['default']
export const HomeBigSwiper: typeof import("../components/home/BigSwiper.vue")['default']
export const HomeBigTitleList: typeof import("../components/home/BigTitle_List.vue")['default']
export const HomeInternetMessage: typeof import("../components/home/InternetMessage.vue")['default']
export const HomePageMessage: typeof import("../components/home/PageMessage.vue")['default']
export const HomeFoot: typeof import("../components/home/foot.vue")['default']
export const HomeFoot1: typeof import("../components/home/foot1.vue")['default']
export const HomeHundredWebSite: typeof import("../components/home/hundredWebSite.vue")['default']
export const HomeOfficialWebsiteNav: typeof import("../components/home/officialWebsiteNav.vue")['default']
export const HomePageHead: typeof import("../components/home/pageHead.vue")['default']
export const HomePageNavigation: typeof import("../components/home/pageNavigation.vue")['default']
export const HomeWebsiteInfo: typeof import("../components/home/websiteInfo.vue")['default']
export const NewsDetail: typeof import("../components/news/detail.vue")['default']
export const NewsList: typeof import("../components/news/list.vue")['default']
export const PageNavigation: typeof import("../components/pageNavigation.vue")['default']
export const NuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const NuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const NuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const ClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const DevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const ServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const NuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const NuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const NuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const NuxtImg: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
export const NuxtPicture: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
export const NuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const NoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const Link: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const Base: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const Title: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const Meta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const Style: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const Head: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const Html: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const Body: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const NuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const NuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
export const LazyDetailHotNews: typeof import("../components/detail/HotNews.vue")['default']
export const LazyDetailHotNews2: typeof import("../components/detail/HotNews2.vue")['default']
export const LazyHomeBigSwiper: typeof import("../components/home/BigSwiper.vue")['default']
export const LazyHomeBigTitleList: typeof import("../components/home/BigTitle_List.vue")['default']
export const LazyHomeInternetMessage: typeof import("../components/home/InternetMessage.vue")['default']
export const LazyHomePageMessage: typeof import("../components/home/PageMessage.vue")['default']
export const LazyHomeFoot: typeof import("../components/home/foot.vue")['default']
export const LazyHomeFoot1: typeof import("../components/home/foot1.vue")['default']
export const LazyHomeHundredWebSite: typeof import("../components/home/hundredWebSite.vue")['default']
export const LazyHomeOfficialWebsiteNav: typeof import("../components/home/officialWebsiteNav.vue")['default']
export const LazyHomePageHead: typeof import("../components/home/pageHead.vue")['default']
export const LazyHomePageNavigation: typeof import("../components/home/pageNavigation.vue")['default']
export const LazyHomeWebsiteInfo: typeof import("../components/home/websiteInfo.vue")['default']
export const LazyNewsDetail: typeof import("../components/news/detail.vue")['default']
export const LazyNewsList: typeof import("../components/news/list.vue")['default']
export const LazyPageNavigation: typeof import("../components/pageNavigation.vue")['default']
export const LazyNuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const LazyNuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const LazyNuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const LazyClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const LazyDevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const LazyServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const LazyNuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const LazyNuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const LazyNuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const LazyNuxtImg: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
export const LazyNuxtPicture: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
export const LazyNuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const LazyNoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const LazyLink: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const LazyBase: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const LazyTitle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const LazyMeta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const LazyStyle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const LazyHead: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const LazyHtml: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const LazyBody: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const LazyNuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const LazyNuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>

export const componentNames: string[]
